Subject: bug#13011: 24.2; Text flickering moving cursor with box around text enabled

From: "Drew Adams" <[email-masked]>
Date: Mon, 3 Dec 2012 11:09:13 -0800

> > I guess I would not object to making such a change for 
> > situations where the chars to be partly obscured are
> > whitespace only.  But I do object to overwriting
> > typical chars such as those with word or symbol syntax.
> 
> How about doing that only for 1-pixel borders?

Doing what?  Making the change or making the change only for whitespace?

Either way, I don't see why the width would make a difference.  What is the
rationale?

> Yes, that's it.
> 
> > Is the proposed change only a "fix" for negative values or does it
> > affect also positive values?
> 
> Only negative values will be affected.

Why?  The same jerkiness from alignment change occurs for both positive and
negative, AFAICT.

> > What is the motivation for this change?
> 
> See the beginning of this bug report: when a box face is used for
> hl-line mode, moving cursor vertically produces an annoying shift of
> the lines as the cursor moves through them.

Try it with a positive width - same thing.

Again, hl-line boxing is hardly typical, I think (again, not at all typical for
my use, at least).  More typical is boxing a word or two.

And one could even argue that that jerkiness was a feature (!) for hl-line mode.
Anyway, hl-line mode should not be important to this - boxing is for many more
use cases than that.

> > Would it be possible for this to be a user choice?
> 
> It's possible.

That I would be in favor of.  Simply changing the behavior/appearance without
user choice, I would be against.  Again, just one opinion, of course.